Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#51 Le 25/01/2013, à 23:01

chibbata

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

non
quoi comme erreur?

Hors ligne

#52 Le 25/01/2013, à 23:21

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Je n'ai pas pu avoir de détails... il m'a seulement proposé d'envoyer un rapport.

Bref j'ai continué la manip. J'ai modifié le fichier 10fglrx et redémarrer. Je dois préciser que la ligne à copier n'est pas la même que celle affichée dans la console. Car on doit copier "/usr/lib32/dri/" mais dans le texte présenté en exemple il y a ":" avant. J'ai donc mis ces deux points.

gksu gedit /etc/X11/Xsession.d/10fglrx

Au démarrage il y a eu un problème et le pc est passé en "low graphic mode", il m'a proposé un back up que j'ai effectué et au redémarrage les problèmes sont toujours là

Je ne peux pas copier le contenu du problème system mais c'est à cause du package fglrx...


J'ai désinstallé le paquet et retenter la manip, et le problème apparaît après cette commande :

sudo dpkg -i fglrx*.deb

Dernière modification par joejoe (Le 25/01/2013, à 23:39)

Hors ligne

#53 Le 25/01/2013, à 23:39

chibbata

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

le driver ne s'est pas installé

sudo apt-get remove --purge fglrx

tu as été voir dans le bios verifier la presence d'une option permettant de switché sur gpu discrete (ati)

Hors ligne

#54 Le 25/01/2013, à 23:43

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Ok j'ai fait la commande que tu m'as indiqué pour désinstaller le paquet (j'avais pas du tout fait comme ça :s)

Non et je ne vois même pas de quoi tu parles (oh my god ! :s)

Et si on se faisait une discussion instantanée par skype ? tongue

Hors ligne

#55 Le 25/01/2013, à 23:48

chibbata

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

PowerXpress: Discrete GPU is selected (High-Performance mode), please restart Xserver(s) for changes to take effect!
tu aurais du te deconnecter et reconnecté et non pas redemarrer

Hors ligne

#56 Le 25/01/2013, à 23:56

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Le message d'erreur est apparu avant que je puisse constaté ça.

Je recommence la manip ? (et continu malgré le message d'erreur)

Et je tente de déconnecter et reconnecter ? (comment faire ?)

Hors ligne

#57 Le 26/01/2013, à 00:10

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Ce serait bien qu'on voit ce que tu as comme message d'erreur quand tu exécutes :

sudo dpkg -i fglrx*.deb

Hors ligne

#58 Le 26/01/2013, à 00:14

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

j'aimerai bien mais je ne peux pas le copier coller car il ne vient pas de la console mais du mode graphique !

Je vais faire des screens wink

Hors ligne

#59 Le 26/01/2013, à 00:21

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Mais la console te renvoie forcément quelque chose non ? Rien ? Elle plante ?

Hors ligne

#60 Le 26/01/2013, à 00:23

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

non justement la console ça ne lui pose pas de problème apparemment.

Je refais toute la manip et je vais faire le porc et la copier entièrement ici tongue

Le téléchargement prend du temps ce coup-ci, ça varie beaucoup...

Juste une question, au moment où je dois déco/reco mon Xserver, comment je fais ?

Hors ligne

#61 Le 26/01/2013, à 00:39

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Avant la fameuse commande :

joe@joe:~$ sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6
[sudo] password for joe: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cdbs is already the newest version.
debconf is already the newest version.
debhelper is already the newest version.
dh-make is already the newest version.
fakeroot is already the newest version.
libstdc++6 is already the newest version.
build-essential is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-3.2.0-33-generic-pae linux-headers-3.2.0-33
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
joe@joe:~$ sudo -s
root@joe:~# apt-get install dkms libqtgui4 wget execstack libelfg0 dh-modaliasesReading package lists... Done
Building dependency tree       
Reading state information... Done
execstack is already the newest version.
libelfg0 is already the newest version.
wget is already the newest version.
dh-modaliases is already the newest version.
dkms is already the newest version.
libqtgui4 is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-3.2.0-33-generic-pae linux-headers-3.2.0-33
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@joe:~# apt-get install linux-headers-generic xserver-xorg-core libgcc1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libgcc1 is already the newest version.
linux-headers-generic is already the newest version.
xserver-xorg-core is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-3.2.0-33-generic-pae linux-headers-3.2.0-33
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@joe:~# cd ~/; mkdir catalyst12.4; cd catalyst12.4/
mkdir: cannot create directory `catalyst12.4': File exists
root@joe:~/catalyst12.4# wget http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
--2013-01-25 22:16:49--  http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
Resolving www2.ati.com (www2.ati.com)... 12.120.136.146
Connecting to www2.ati.com (www2.ati.com)|12.120.136.146|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 108360519 (103M) [application/octet-stream]
Saving to: `amd-driver-installer-12-4-x86.x86_64.run.2'

100%[======================================>] 108,360,519  489K/s   in 9m 11s  

2013-01-25 22:26:03 (192 KB/s) - `amd-driver-installer-12-4-x86.x86_64.run.2' saved [108360519/108360519]

root@joe:~/catalyst12.4# chmod +x amd-driver-installer-12-4-x86.x86_64.run
root@joe:~/catalyst12.4# sudo sh ./amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise
Created directory fglrx-install.zC4u9h
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-8.961.....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
=====================================================================
 AMD Catalyst(TM) Proprietary Driver Installer/Packager 
=====================================================================
Generating package: Ubuntu/precise
Package /home/joe/catalyst12.4/fglrx_8.961-0ubuntu1_i386.deb has been successfully generated
Package /home/joe/catalyst12.4/fglrx-dev_8.961-0ubuntu1_i386.deb has been successfully generated
Package /home/joe/catalyst12.4/fglrx-amdcccle_8.961-0ubuntu1_i386.deb has been successfully generated
Removing temporary directory: fglrx-install.zC4u9h
root@joe:~/catalyst12.4# 

Après la fameuse commande : (j'ai vu quelques erreurs je crois, mais comme vous le constaté je suis pas la référence xd)

root@joe:~/catalyst12.4# sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 404682 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.961-0ubuntu1_i386.deb) ...
Setting up fglrx (2:8.961-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-36-generic-pae
Building for architecture i686
Building initial module for 3.2.0-36-generic-pae
Error! Bad return status for module build on kernel: 3.2.0-36-generic-pae (i686)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Setting up fglrx-amdcccle (2:8.961-0ubuntu1) ...
Setting up fglrx-dev (2:8.961-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-36-generic-pae
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

Le message d'erreur système (du mode graphique) apparaît pendant l'écriture de ces lignes.

Puis je poursuis :

root@joe:~/catalyst12.4# sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: not replacing /usr/lib/i386-linux-gnu/xorg/extra-modules with a link.

Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.original-1
root@joe:~/catalyst12.4# sudo aticonfig --px-dgpu
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: not replacing /usr/lib/i386-linux-gnu/xorg/extra-modules with a link.

PowerXpress: Discrete GPU is selected (High-Performance mode), please restart Xserver(s) for changes to take effect!
root@joe:~/catalyst12.4# 

Et maintenant je suis ici, perdu tongue  (comment déco/reco Xserver ?)

Hors ligne

#62 Le 26/01/2013, à 01:04

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Ca sert à rien de continuer là... smile
Bon, refais un

sudo apt-get remove --purge fglrx

Après, tape ça dans un terminal :

./amd-driver-installer-12-4-x86.x86_64.run --extract driver
cd driver/common/lib/modules/fglrx/build_mod/
wget -O fglrx.patch http://ubuntuone.com/5gNgEmVfzs3ytD5QZ2YGCi
patch -p1 < fglrx.patch
cd ~/catalyst12.4/driver/
./ati-installer.sh 8.961 --buildpkg Ubuntu/precise
cd ../

et reprends la procédure à :

sudo dpkg -i fglrx*.deb

PS : tu aurais pu t'épargner 10 minutes, tu n'as pas besoin de télécharger à chaque fois le driver wink

Dernière modification par PlapPlop (Le 26/01/2013, à 01:08)

Hors ligne

#63 Le 26/01/2013, à 01:12

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

root@joe:~# sudo dpkg -i fglrx*.deb
dpkg: error processing fglrx*.deb (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 fglrx*.deb

Je suis pas dans le bon répertoire c'est ça ?

Dernière modification par joejoe (Le 26/01/2013, à 01:13)

Hors ligne

#64 Le 26/01/2013, à 01:15

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Quand tu tapes cette commande, tu dois être dans le répertoire

catalyst12.4/

Si tu as tapé toutes les commandes que je t'ai données, tu devrais pourtant y être... Fais un

ls ~/catalyst12.4/

et aussi

ls ~/catalyst12.4/drivers/

Dernière modification par PlapPlop (Le 26/01/2013, à 01:20)

Hors ligne

#65 Le 26/01/2013, à 01:16

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Moi aussi j'ai réédité lol !!

Mais toujours pas xd

Hors ligne

#66 Le 26/01/2013, à 01:21

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Mon dernier changement de répertoire je crois que c'était cd ../

root@joe:~# ls ~/catalyst12.4
amd-driver-installer-12-4-x86.x86_64.run
amd-driver-installer-12-4-x86.x86_64.run.1
amd-driver-installer-12-4-x86.x86_64.run.2
driver
fglrx_8.961-0ubuntu1_i386.deb
fglrx-amdcccle_8.961-0ubuntu1_i386.deb
fglrx-dev_8.961-0ubuntu1_i386.deb
fglrx-installer_8.961-0ubuntu1_i386.changes
root@joe:~# ls ~/catalyst12.4/drivers/
ls: cannot access /home/joe/catalyst12.4/drivers/: No such file or directory

Dernière modification par joejoe (Le 26/01/2013, à 01:21)

Hors ligne

#67 Le 26/01/2013, à 01:24

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Oui désolé, c'était

ls ~/catalyst12.4/driver/

pas drivers... Mais peu importe, tes paquets deb sont bien au bon endroit, ça devrait marcher :

cd ~/catalyst12.4/
sudo dpkg -i fglrx*.deb

Dernière modification par PlapPlop (Le 26/01/2013, à 01:24)

Hors ligne

#68 Le 26/01/2013, à 01:25

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Voici smile

root@joe:~# cd ~/catalyst12.4/
root@joe:~/catalyst12.4# sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 404682 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.961-0ubuntu1_i386.deb) ...
Setting up fglrx (2:8.961-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-36-generic-pae
Building for architecture i686
Building initial module for 3.2.0-36-generic-pae
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-36-generic-pae/updates/dkms/

depmod.......

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Setting up fglrx-amdcccle (2:8.961-0ubuntu1) ...
Setting up fglrx-dev (2:8.961-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-36-generic-pae
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
root@joe:~/catalyst12.4# sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: not replacing /usr/lib/i386-linux-gnu/xorg/extra-modules with a link.

Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.fglrx-0

Dernière modification par joejoe (Le 26/01/2013, à 01:27)

Hors ligne

#69 Le 26/01/2013, à 01:27

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

C'est incroyable...
Ca n'a toujours pas marché, malgré le patch. Je réfléchis...

Hors ligne

#70 Le 26/01/2013, à 01:29

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Pas de souci, c'est super sympa de s'occuper de mon cas !!  Je ne perds pas espoir tongue

PS : J'ai cours toute la journée demain donc je ne vais pas continuer plus loin ce soir sad

Encore merci !!! Et à demain j'espère tongue (pc en cours lol)

Dernière modification par joejoe (Le 26/01/2013, à 01:33)

Hors ligne

#71 Le 26/01/2013, à 01:48

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

On va réessayer en faisant le grand ménage. On peut commencer par enlever le patch...

cd driver/common/lib/modules/fglrx/build_mod/
patch -R -p1 < fglrx.patch

Supprime le dossier catalyst12.4 :

rm -R ~/catalyst12.4

Désinstalle les drivers et purge tout :

sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

Supprime xorg.conf si tu en as encore un :

sudo rm /etc/X11/xorg.conf

Mets tout à jour :

sudo apt-get update && sudo apt-get upgrade

Réinstalle et configure Xorg :

sudo apt-get install --reinstall libgl1-mesa-glx:i386 libgl1-mesa-glx:amd64 libgl1-mesa-dri:i386 libgl1-mesa-dri:amd64 xserver-xorg-core
sudo dpkg-reconfigure xserver-xorg

Redémarre :

sudo reboot

Recrée un dossier catalyst12.4, télécharge le driver et rends le exécutable :

cd ~/; mkdir catalyst12.4; cd catalyst12.4/
wget http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
chmod +x amd-driver-installer-12-4-x86.x86_64.run

Essaie d'installer les paquets deb en croisant les doigts :

sudo sh ./amd-driver-installer-12-1-x86.x86_64.run --buildpkg Ubuntu/precise
sudo dpkg -i fglrx*.deb

Configure Xserver pour la première fois :

sudo aticonfig --initial -f

Redémarre :

sudo reboot

Bonne chance smile

Dernière modification par PlapPlop (Le 26/01/2013, à 02:19)

Hors ligne

#72 Le 26/01/2013, à 11:23

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Mince plusieurs problèmes...

Déjà je ne peux pas retirer le patch :

bash: cd: driver/common/lib/modules/fglrx/build_mod/: No such file or directory

(j'ai essayé de faire une recherche pour voir où était le bon emplacement mais je n'ai pas trouvé).

J'ai quand même poursuivi. Tout s'est bien passé sauf à ce moment :

joe@joe:~/catalyst12.4$ sudo sh ./amd-driver-installer-12-1-x86.x86_64.run --buildpkg Ubuntu/precise
sh: 0: Can't open ./amd-driver-installer-12-1-x86.x86_64.run

Donc pas possible non plus d'installer fglrx...

Vraiment compliqué tout ça roll

Hors ligne

#73 Le 26/01/2013, à 14:02

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

C'est normal je me suis planté dans le nom du fichier...

sudo sh ./amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise

Dans ces cas-là, tu commences juste à taper le nom du fichier, par exemple

sudo sh ./amd-driver

et tu utilises la touche tabulation pour l'autocomplétion du nom.

Hors ligne

#74 Le 26/01/2013, à 15:19

joejoe

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Mince, l'installation de flgrx n'a pas fonctionné. Je précise que je n'étais pas parvenu à retirer le patch.

joe@joe:~/catalyst12.4$ sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 404682 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.961-0ubuntu1_i386.deb) ...
Setting up fglrx (2:8.961-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group i386-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl64.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalcl.so because associated file /usr/lib32/fglrx/libaticalcl.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: skip creation of /usr/lib32/libaticalrt.so because associated file /usr/lib32/fglrx/libaticalrt.so (of link group i386-linux-gnu_gl_conf) doesn't exist.
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-36-generic-pae
Building for architecture i686
Building initial module for 3.2.0-36-generic-pae
Error! Bad return status for module build on kernel: 3.2.0-36-generic-pae (i686)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Setting up fglrx-amdcccle (2:8.961-0ubuntu1) ...
Setting up fglrx-dev (2:8.961-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-36-generic-pae
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

Hors ligne

#75 Le 26/01/2013, à 15:38

PlapPlop

Re : [RESOLU] Attention les yeux ! Réglage de la luminosité impossible

Pas grave pour le patch. Bon je sais qu'on a l'impression de faire toujours la même chose mais bon...

sudo rm /etc/X11/xorg.conf
sudo apt-get remove --purge fglrx*

Redémarre.

sudo apt-get install fglrx fglrx-amdcccle
sudo aticonfig --initial

Redémarre.

fglrxinfo

Poste le retour de cette commande et aussi le contenu de xorg.conf :

sudo gedit /etc/X11/xorg.conf

Hors ligne

Haut de page ↑